<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="a2c6233d-28e1-44a6-b1de-fe12ae1e97fb" name="Changes" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="HighlightingSettingsPerFile">
    <setting file="jar://$USER_HOME$/tools/jdk/jdk-17.0.8.jdk/Contents/Home/lib/src.zip!/java.base/java/lang/Class.java" root0="SKIP_INSPECTION" />
  </component>
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 6
}</component>
  <component name="ProjectId" id="2lMv63PfbXlQIzdGsjHznq25Fk3" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">{
  &quot;keyToString&quot;: {
    &quot;Application.BrokerStartup.executor&quot;: &quot;Run&quot;,
    &quot;Application.NamesrvStartup.executor&quot;: &quot;Run&quot;,
    &quot;Application.Test.executor&quot;: &quot;Run&quot;,
    &quot;Maven.rocketmq-all [clean,install...].executor&quot;: &quot;Run&quot;,
    &quot;RunOnceActivity.ShowReadmeOnStart&quot;: &quot;true&quot;,
    &quot;kotlin-language-version-configured&quot;: &quot;true&quot;,
    &quot;last_opened_file_path&quot;: &quot;/Users/roykingw/Source/rocketmq-all-5.3.0-source-release/conf&quot;,
    &quot;node.js.detected.package.eslint&quot;: &quot;true&quot;,
    &quot;node.js.detected.package.tslint&quot;: &quot;true&quot;,
    &quot;node.js.selected.package.eslint&quot;: &quot;(autodetect)&quot;,
    &quot;node.js.selected.package.tslint&quot;: &quot;(autodetect)&quot;,
    &quot;nodejs_package_manager_path&quot;: &quot;npm&quot;,
    &quot;project.structure.last.edited&quot;: &quot;Project&quot;,
    &quot;project.structure.proportion&quot;: &quot;0.0&quot;,
    &quot;project.structure.side.proportion&quot;: &quot;0.0&quot;,
    &quot;settings.editor.selected.configurable&quot;: &quot;preferences.toDoOptions&quot;,
    &quot;vue.rearranger.settings.migration&quot;: &quot;true&quot;
  }
}</component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/conf" />
    </key>
  </component>
  <component name="RunAnythingCache">
    <option name="myCommands">
      <command value="mvn clean install -Dmaven.test.skip=true" />
    </option>
  </component>
  <component name="RunManager" selected="Application.NamesrvStartup">
    <configuration name="BrokerStartup" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="org.apache.rocketmq.broker.BrokerStartup" />
      <module name="rocketmq-broker" />
      <option name="PROGRAM_PARAMETERS" value="-p" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="org.apache.rocketmq.broker.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="NamesrvStartup" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="org.apache.rocketmq.namesrv.NamesrvStartup" />
      <module name="rocketmq-namesrv" />
      <option name="PROGRAM_PARAMETERS" value="-c $USER_HOME$/namesrv/namesrv.properties -p" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="org.apache.rocketmq.namesrv.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Test" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="Test" />
      <module name="rocketmq-remoting" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="Application.BrokerStartup" />
      <item itemvalue="Application.NamesrvStartup" />
      <item itemvalue="Application.Test" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Application.NamesrvStartup" />
        <item itemvalue="Application.BrokerStartup" />
        <item itemvalue="Application.Test" />
      </list>
    </recent_temporary>
  </component>
  <component name="SharedIndexes">
    <attachedChunks>
      <set>
        <option value="bundled-jdk-9f38398b9061-39b83d9b5494-intellij.indexing.shared.core-IU-241.17011.79" />
        <option value="bundled-js-predefined-1d06a55b98c1-0b3e54e931b4-JavaScript-IU-241.17011.79" />
      </set>
    </attachedChunks>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="a2c6233d-28e1-44a6-b1de-fe12ae1e97fb" name="Changes" comment="" />
      <created>1725002580339</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1725002580339</updated>
      <workItem from="1725002581455" duration="1299000" />
      <workItem from="1725089039319" duration="19460000" />
      <workItem from="1725239845749" duration="13622000" />
      <workItem from="1725339345755" duration="20840000" />
      <workItem from="1725428265215" duration="9827000" />
      <workItem from="1725513262661" duration="5387000" />
      <workItem from="1725628185544" duration="888000" />
      <workItem from="1725787208917" duration="1000" />
      <workItem from="1725867020704" duration="3026000" />
      <workItem from="1725886745624" duration="2188000" />
      <workItem from="1725953042096" duration="6259000" />
      <workItem from="1726753250923" duration="18000" />
      <workItem from="1726754053807" duration="850000" />
      <workItem from="1726831738703" duration="617000" />
      <workItem from="1726998117115" duration="41000" />
      <workItem from="1727080135375" duration="89000" />
      <workItem from="1727084377152" duration="651000" />
      <workItem from="1727340483625" duration="11212000" />
      <workItem from="1727415789904" duration="16960000" />
      <workItem from="1727588528137" duration="19242000" />
      <workItem from="1727662016565" duration="128000" />
      <workItem from="1727662504232" duration="10534000" />
      <workItem from="1728200153032" duration="11702000" />
      <workItem from="1732275175799" duration="29000" />
      <workItem from="1732701715222" duration="1138000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
</project>